global function KillStreak_Init

void function KillStreak_Init()
{
	thread DrawStreakRui()
	AddCallback_OnPlayerKilled(AddStreak)
}


int PlayerStreak = 0
#if CLIENT

void function AddStreak(ObituaryCallbackParams Streakperams){
    if(Streakperams.attacker != GetLocalClientPlayer())
        return
	PlayerStreak++	
}

var StreakRui = null
string mapName = ""

void function DrawStreakRui(){
	WaitFrame()
	mapName = GetMapName()
	StreakRui = RuiCreate($"ui/cockpit_console_text_top_left.rpak", clGlobal.topoCockpitHudPermanent, RUI_DRAW_COCKPIT, 0)
	RuiSetInt(StreakRui, "maxLines", 1)
	RuiSetInt(StreakRui, "lineNum", 1)
	
	while(mapName == GetMapName()){
		float StreakColG = GetConVarFloat("StreakColGreen")/255;
		float StreakColR = GetConVarFloat("StreakColRed")/255;
		float StreakColB = GetConVarFloat("StreakColBlue")/255;
		float StreakSize = GetConVarFloat("StreakSize");	
		float StreakPosX = GetConVarFloat("StreakPosX");		
		float StreakPosY = GetConVarFloat("StreakPosY");
		float IncludeText = GetConVarFloat("IncludeStreakText");
		float StreakOpacity = GetConVarFloat("StreakOpacity");
		RuiSetFloat2(StreakRui, "msgPos", <StreakPosX, StreakPosY, 0>)
		RuiSetFloat(StreakRui, "msgFontSize", StreakSize)
		RuiSetFloat(StreakRui, "msgAlpha", StreakOpacity)
		RuiSetFloat(StreakRui, "thicken", 0.0)
		RuiSetFloat3(StreakRui, "msgColor", <StreakColR, StreakColG, StreakColB>)
		if (IncludeText == 1){
		RuiSetString(StreakRui, "msgText", "Streak:" + PlayerStreak )
		} else {
		RuiSetString(StreakRui, "msgText", "" + PlayerStreak )
		}
		WaitFrame()
		if(!IsLobby()){
			if(!IsAlive(GetLocalClientPlayer()))
			{
			PlayerStreak = 0
			}
		}
	}
	RuiDestroy(StreakRui)
}
#endif